#ifndef ARDUINO_SIMPLETIMEOUT
#define ARDUINO_SIMPLETIMEOUT

#include <Arduino.h>


class SimpleTimeout
{
  public:
    SimpleTimeout(void) : nextTime(0)  {}
 
    ~SimpleTimeout(void) {};
    
    inline void start(unsigned long x) { nextTime = millis() + x; }
    inline boolean isTimedout(void) {  
        long int a = static_cast<long int> (millis() - nextTime);
        return  ( a >= 0 );   }
  private:
    unsigned long nextTime;

};

#endif // ARDUINO_SIMPLETIMEOUT
