#ifndef ARDUINO_POWERBANDMAP_H_
#define ARDUINO_POWERBANDMAP_H_
#include "IcomMessage.h"

#include <Arduino.h>
/**
 * @author James Michener (c) 2014
 *
 */
extern byte freqToPowerBandIndex(const unsigned long freq, const byte guessIndex);

extern byte PowerBandIndexToBandIndex(const byte index);

// @return PowerBandIndexToBandIndexfor index...
extern byte getPowerBandData(const byte index, uint16_t & lowKHz, uint16_t & highKHz);

extern void PowerBandOnNewFreq(const unsigned long freq);
extern void PowerBandOnMessage(IcomMessage * imp);

extern uint8_t getNumberPowerBand();
const byte maxNumberPowerBand = 84;
#endif // ARDUINO_POWERBANDMAP_H_

